% Note:
% This is the auto tracing of atoms. Usually a mannual correction procedure
% is carried out to correct those wrongly traced atoms.

inputDir = '';
reconScan= importdata([ inputDir 'ReconA.mat']);

reconScan = My_paddzero(reconScan,size(reconScan)+40);

support = zeros(size(reconScan));
support(:,:,126-12:126+12)=1; %126-12:126+12

Dsetvol = reconScan.*support;

% prefix for output file
outputstring = [inputDir 'Tracing_DataMA240'];

Th = 0.01;

Sdenoise_all_2 = My_paddzero(Dsetvol,size(Dsetvol));

%% Init some variables

% Pixel Resolution in Angstroem
Res = 0.3435;

BoxSize0=3; %box size used for average when sorting peaks
BoxSize1=5; %box size used to find maxima
BoxSize2=7; %box size used box for fitting off-center gauss
BoxSize3=7; %used to compute visualization matrix

[Xsize, Ysize, Zsize] = size(Sdenoise_all_2);  

%% Trace peaks
    
MaxNumberPeaks=3000; %maximum number of peaks to find

% minimum distance constraint in the unit of pixel
Dmin = 1.4/Res; 

%%
%find possible atoms (minimal distance contraint applied)
% atom_pos is the xyz positions (in the unit of pixel) of found local maxima peaks
% close_pos is the xyz positions of peaks which violate the minimum distance constraint
% statsI is the initial Gaussian fitting parameters of each peak
% stats is the final Gaussian fitting parameters of each peak
fprintf('ALL PARAMETERS SET...TRACING ATOMS\n');
[atom_pos, close_pos,  statsI, stats ] = find_possible_atoms(Sdenoise_all_2, Dmin, MaxNumberPeaks, BoxSize0, BoxSize1,BoxSize2,Th);


save([outputstring '.mat'],'atom_pos', 'close_pos', 'Dmin','stats', 'statsI', 'Dsetvol','MaxNumberPeaks');
 
beep;pause(0.5)
beep;pause(0.5)
beep;pause(0.5)