function [boxCoordinates, BoxCenter, BoxRadius, sphere] = create_box2D(BoxSize)

%M. Bartels, UCLA, 2014
%small function to create box coordinates and correpsonding spherical mask
%use odd BoxSize
%XT: 2019 for regional 2D masks

BoxCenter = ((BoxSize+1)/2);
BoxRadius = (BoxSize-1)/2;

%box coordinate systems
[boxX,boxY]=ndgrid(-BoxRadius:BoxRadius,-BoxRadius:BoxRadius);

%calculate spherical mask
sphere = sqrt(boxX.^2+boxY.^2)<=BoxSize/2;

boxCoordinates.x = boxX;
boxCoordinates.y = boxY;
