function M = find_maxima2D(mat3d,mask)
%M. Bartels, UCLA, 2014
%find all maxima of a 3D matrix
%with a local neighbourhood defined by mask
%XT:201908 for 2D trace

s = size(mask,1);  %diameter
c = round((s+1)/2);  % center index
mask=mask>0;
mask(c,c) = false; %exclude the pixel itself from the neighbourhood

%for each voxel, assign the maximum in the neighbourhood
mat3d_neighbours = imdilate(mat3d,mask);

%a maximum is where the matrix is larger than all neighbors (this is logical matrix)
M = mat3d > mat3d_neighbours; 

end