function [vecPos,atomNum,nearestDistance] = nearestAtom(refVector,atomPos)
% find the nearest atom to the reference position
% refVector is [x y z]' vector
% atomPos is 3xN matrix

distArr = sqrt((atomPos(1,:)-refVector(1)).^2+(atomPos(2,:)-refVector(2)).^2+(atomPos(3,:)-refVector(3)).^2);
[nearestDistance, atomNum] = min(distArr);
vecPos = atomPos(:,atomNum);